=== debian/changelog ===
qbittorrent (4.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #883871).
  * Build depend on libqt5svg5-dev. 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 25 Dec 2017 15:22:26 -0500

qbittorrent (3.3.15-1) unstable; urgency=medium

  * New upstream release (Closes: #869264, #872578). 
  * Drop patches applied upstream.
  * debian/control:
   - All priority 'extra' packages are now 'optional.'
   - Bump Standards-Version to 4.1.0.
   - Bump versionized build dep on libtorrent-rasterbar-dev.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 03 Sep 2017 14:27:42 -0400
