=== src/base/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 find_package(ZLIB 1.2.5.2 REQUIRED)
 
-set(QBT_BASE_HEADERS
+add_library(qbt_base STATIC
+# headers
 bittorrent/addtorrentparams.h
 bittorrent/cachestatus.h
 bittorrent/infohash.h
@@ -19,6 +20,7 @@
 bittorrent/tracker.h
 bittorrent/trackerentry.h
 http/connection.h
+http/httperror.h
 http/irequesthandler.h
 http/requestparser.h
 http/responsebuilder.h
@@ -43,6 +45,11 @@
 rss/rss_folder.h
 rss/rss_item.h
 rss/rss_session.h
+search/searchdownloadhandler.h
+search/searchhandler.h
+search/searchpluginmanager.h
+utils/bytearray.h
+utils/foreignapps.h
 utils/fs.h
 utils/gzip.h
 utils/misc.h
@@ -50,7 +57,9 @@
 utils/random.h
 utils/string.h
 utils/version.h
+algorithm.h
 asyncfilestorage.h
+exceptions.h
 filesystemwatcher.h
 global.h
 iconprovider.h
@@ -59,16 +68,14 @@
 preferences.h
 profile.h
 scanfoldersmodel.h
-searchengine.h
 settingsstorage.h
 torrentfileguard.h
 torrentfilter.h
 tristatebool.h
 types.h
 unicodestrings.h
-)
 
-set(QBT_BASE_SOURCES
+# sources
 bittorrent/infohash.cpp
 bittorrent/magneturi.cpp
 bittorrent/peerinfo.cpp
@@ -84,6 +91,7 @@
 bittorrent/tracker.cpp
 bittorrent/trackerentry.cpp
 http/connection.cpp
+http/httperror.cpp
 http/requestparser.cpp
 http/responsebuilder.cpp
 http/responsegenerator.cpp
@@ -106,6 +114,11 @@
 rss/rss_folder.cpp
 rss/rss_item.cpp
 rss/rss_session.cpp
+search/searchdownloadhandler.cpp
+search/searchhandler.cpp
+search/searchpluginmanager.cpp
+utils/bytearray.cpp
+utils/foreignapps.cpp
 utils/fs.cpp
 utils/gzip.cpp
 utils/misc.cpp
@@ -113,29 +126,33 @@
 utils/random.cpp
 utils/string.cpp
 asyncfilestorage.cpp
+exceptions.cpp
 filesystemwatcher.cpp
 iconprovider.cpp
 logger.cpp
 preferences.cpp
 profile.cpp
 scanfoldersmodel.cpp
-searchengine.cpp
 settingsstorage.cpp
 torrentfileguard.cpp
 torrentfilter.cpp
 tristatebool.cpp
 )
 
-add_library(qbt_base STATIC ${QBT_BASE_HEADERS} ${QBT_BASE_SOURCES})
-target_link_libraries(qbt_base PRIVATE ZLIB::ZLIB PUBLIC LibtorrentRasterbar::LibTorrent)
-target_link_qt_components(qbt_base PUBLIC Core Network Xml)
+target_link_libraries(qbt_base
+    PRIVATE
+        ZLIB::ZLIB
+    PUBLIC
+        LibtorrentRasterbar::torrent-rasterbar
+        Qt5::Core Qt5::Network Qt5::Xml
+)
 
-if (GUI)
+if (Qt5Widgets_FOUND)
     target_link_libraries(qbt_base PUBLIC Qt5::Gui Qt5::Widgets)
-endif (GUI)
+endif (Qt5Widgets_FOUND)
 
-if (DBUS)
-    target_link_qt_components(qbt_base PRIVATE DBus)
+if (Qt5DBus_FOUND)
+    target_link_libraries(qbt_base PRIVATE Qt5::DBus)
 endif ()
 
 if (APPLE)
