=== debian/changelog ===
qbittorrent (4.1.3-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Partially fix FTCBFS: Let dh_auto_configure pass --host to ./configure.
    (Closes: #886162)

  [ Andrew Starr-Bochicchio ]
  * New upstream release (Closes: #900415, #908974, #893331).
  * debian/control:
   - Update VCS-* fields for salsa migration.
   - Bump Standards-Version to 4.2.1, no changes.
  * debian/rules: Remove unnecessary ' --parallel' dh argument
    as it is now the default.
  * Update lintian-overrides for new file locations.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 23 Sep 2018 18:51:12 -0400
