=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                qtbase5-dev (>= 5.2.0),
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.1.0
-Vcs-Git: git://anonscm.debian.org/collab-maint/qbittorrent.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qbittorrent.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/debian/qbittorrent.git
+Vcs-Browser: https://salsa.debian.org/debian/qbittorrent
 Homepage: http://www.qbittorrent.org/
 
 Package: qbittorrent
