=== debian/changelog ===
qbittorrent (4.1.5-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Disable -dbg packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Dec 2018 19:07:43 -0800

qbittorrent (4.1.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Andrew Starr-Bochicchio ]
  * New upstream release (Closes: #914402).
  * Rebuild against new libboost (Closes: #913953).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 25 Nov 2018 17:41:31 -0500
