=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,12 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --without autoreconf --parallel
+	dh $@ --without autoreconf
 
 override_dh_auto_configure:
-	mkdir -p build-nox && cd build-nox && ../configure --prefix=/usr --disable-gui \
+	dh_auto_configure --builddirectory build-nox -- --disable-gui \
 		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
-	mkdir -p build-gui && cd build-gui && ../configure --prefix=/usr \
+	dh_auto_configure --builddirectory build-gui -- \
 		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_build:
@@ -30,4 +30,4 @@
 	dh_auto_clean --builddirectory build-gui
 
 override_dh_strip:
-	dh_strip -a --dbg-package=qbittorrent-dbg
+	dh_strip -a --no-automatic-dbgsym
