## qbittorrent 4.1.5.1%2Brb2

=== debian/changelog ===
qbittorrent (4.1.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Cristian Greco <cristian@debian.org>  Fri, 29 Jan 2021 09:18:40 +0800

qbittorrent (4.1.5-1) unstable; urgency=medium

  * New upstream release (Closes: #917265).
  * Bump Standards-Version to 4.3.0, no changes.
  * Add QPainterPath header.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 30 Dec 2018 16:09:08 -0500
